Index: /stable/HeuristicLab.DataPreprocessing.Views/3.4/CheckedTransformationListView.cs
===================================================================
--- /stable/HeuristicLab.DataPreprocessing.Views/3.4/CheckedTransformationListView.cs	(revision 15241)
+++ /stable/HeuristicLab.DataPreprocessing.Views/3.4/CheckedTransformationListView.cs	(revision 15242)
@@ -32,8 +32,6 @@
 namespace HeuristicLab.DataPreprocessing.Views {
   [View("CheckedTransformationList View")]
-  //[Content(typeof(RunCollectionConstraintCollection), true)]
   [Content(typeof(ICheckedItemList<ITransformation>), false)]
   public partial class CheckedTransformationListView : CheckedItemListView<ITransformation> {
-
     public CheckedTransformationListView() {
       InitializeComponent();
@@ -56,6 +54,5 @@
 
           return (ITransformation)typeSelectorDialog.TypeSelector.CreateInstanceOfSelectedType(new[] { columnNames });
-        }
-        catch (Exception ex) {
+        } catch (Exception ex) {
           ErrorHandling.ShowErrorDialog(this, ex);
         }
Index: /stable/HeuristicLab.DataPreprocessing.Views/3.4/ComparisonFilterView.cs
===================================================================
--- /stable/HeuristicLab.DataPreprocessing.Views/3.4/ComparisonFilterView.cs	(revision 15241)
+++ /stable/HeuristicLab.DataPreprocessing.Views/3.4/ComparisonFilterView.cs	(revision 15242)
@@ -32,8 +32,4 @@
   [Content(typeof(ComparisonFilter), false)]
   public partial class ComparisonFilterView : ItemView {
-    public ComparisonFilterView() {
-      InitializeComponent();
-    }
-
     public new ComparisonFilter Content {
       get { return (ComparisonFilter)base.Content; }
@@ -41,9 +37,12 @@
     }
 
+    public ComparisonFilterView() {
+      InitializeComponent();
+    }
 
     protected override void OnContentChanged() {
       base.OnContentChanged();
-      cbAttr.Items.Clear(); //cmbConstraintColumn.Items.Clear();
-      cbFilterOperation.Items.Clear(); //cmbConstraintOperation.Items.Clear();
+      cbAttr.Items.Clear();
+      cbFilterOperation.Items.Clear();
       tbFilterData.Text = string.Empty;
       if (Content != null) {
@@ -121,5 +120,4 @@
     }
 
-
     protected virtual void Content_ComparisonOperationChanged(object sender, EventArgs e) {
       if (Content.ConstraintOperation != (ConstraintOperation)this.cbFilterOperation.SelectedItem)
@@ -178,5 +176,4 @@
         errorProvider.Clear();
     }
-
   }
 }
Index: /stable/HeuristicLab.DataPreprocessing.Views/3.4/DataCompletenessView.Designer.cs
===================================================================
--- /stable/HeuristicLab.DataPreprocessing.Views/3.4/DataCompletenessView.Designer.cs	(revision 15241)
+++ /stable/HeuristicLab.DataPreprocessing.Views/3.4/DataCompletenessView.Designer.cs	(revision 15242)
@@ -54,9 +54,11 @@
       // chart
       // 
-      this.chart.Anchor = ((System.Windows.Forms.AnchorStyles)((((System.Windows.Forms.AnchorStyles.Top | System.Windows.Forms.AnchorStyles.Bottom)
-            | System.Windows.Forms.AnchorStyles.Left)
+      this.chart.Anchor = ((System.Windows.Forms.AnchorStyles)((((System.Windows.Forms.AnchorStyles.Top | System.Windows.Forms.AnchorStyles.Bottom) 
+            | System.Windows.Forms.AnchorStyles.Left) 
             | System.Windows.Forms.AnchorStyles.Right)));
       chartArea1.Name = "ChartArea1";
       this.chart.ChartAreas.Add(chartArea1);
+      legend1.Alignment = System.Drawing.StringAlignment.Center;
+      legend1.Docking = System.Windows.Forms.DataVisualization.Charting.Docking.Top;
       legend1.Name = "Legend1";
       this.chart.Legends.Add(legend1);
Index: /stable/HeuristicLab.DataPreprocessing.Views/3.4/DataCompletenessView.cs
===================================================================
--- /stable/HeuristicLab.DataPreprocessing.Views/3.4/DataCompletenessView.cs	(revision 15241)
+++ /stable/HeuristicLab.DataPreprocessing.Views/3.4/DataCompletenessView.cs	(revision 15242)
@@ -24,5 +24,4 @@
 using System.Drawing;
 using System.Linq;
-using System.Windows.Forms;
 using System.Windows.Forms.DataVisualization.Charting;
 using HeuristicLab.Core.Views;
@@ -30,5 +29,4 @@
 
 namespace HeuristicLab.DataPreprocessing.Views {
-
   [View("Histogram View")]
   [Content(typeof(DataCompletenessChartContent), true)]
@@ -69,5 +67,4 @@
 
     private void PrepareChart() {
-      chart.Titles.Add("DataCompletenessChart");
       chart.EnableDoubleClickResetsZoom = true;
       chart.ChartAreas[0].AxisX.MajorGrid.LineWidth = 0;
Index: /stable/HeuristicLab.DataPreprocessing.Views/3.4/DataGridContentView.Designer.cs
===================================================================
--- /stable/HeuristicLab.DataPreprocessing.Views/3.4/DataGridContentView.Designer.cs	(revision 15241)
+++ /stable/HeuristicLab.DataPreprocessing.Views/3.4/DataGridContentView.Designer.cs	(revision 15242)
@@ -63,10 +63,20 @@
       this.btnReplace = new System.Windows.Forms.Button();
       this.toolTip = new System.Windows.Forms.ToolTip(this.components);
+      this.checkInputsTargetButton = new System.Windows.Forms.Button();
+      this.uncheckAllButton = new System.Windows.Forms.Button();
+      this.checkAllButton = new System.Windows.Forms.Button();
       this.addRowButton = new System.Windows.Forms.Button();
       this.addColumnButton = new System.Windows.Forms.Button();
       this.renameColumnsButton = new System.Windows.Forms.Button();
+      this.showVariablesGroupBox = new System.Windows.Forms.GroupBox();
       ((System.ComponentModel.ISupportInitialize)(this.errorProvider)).BeginInit();
       this.contextMenuCell.SuspendLayout();
+      this.showVariablesGroupBox.SuspendLayout();
       this.SuspendLayout();
+      // 
+      // rowsLabel
+      // 
+      this.rowsLabel.Size = new System.Drawing.Size(55, 13);
+      this.rowsLabel.Text = "Datarows:";
       // 
       // rowsTextBox
@@ -82,12 +92,16 @@
       this.columnsTextBox.Size = new System.Drawing.Size(71, 20);
       // 
+      // columnsLabel
+      // 
+      this.columnsLabel.Size = new System.Drawing.Size(53, 13);
+      this.columnsLabel.Text = "Variables:";
+      // 
       // statisticsTextBox
       // 
-      this.statisticsTextBox.Location = new System.Drawing.Point(3, 387);
       this.statisticsTextBox.Size = new System.Drawing.Size(421, 13);
       // 
       // btnApplySort
       // 
-      this.btnApplySort.Location = new System.Drawing.Point(234, 0);
+      this.btnApplySort.Location = new System.Drawing.Point(228, 0);
       this.btnApplySort.Name = "btnApplySort";
       this.btnApplySort.Size = new System.Drawing.Size(104, 23);
@@ -104,5 +118,5 @@
             this.replaceValueOverSelectionToolStripMenuItem});
       this.contextMenuCell.Name = "contextMenuCell";
-      this.contextMenuCell.Size = new System.Drawing.Size(225, 48);
+      this.contextMenuCell.Size = new System.Drawing.Size(224, 48);
       // 
       // replaceValueOverColumnToolStripMenuItem
@@ -116,6 +130,6 @@
             this.smoothingToolStripMenuItem_Column});
       this.replaceValueOverColumnToolStripMenuItem.Name = "replaceValueOverColumnToolStripMenuItem";
-      this.replaceValueOverColumnToolStripMenuItem.Size = new System.Drawing.Size(224, 22);
-      this.replaceValueOverColumnToolStripMenuItem.Text = "Replace Value over Column";
+      this.replaceValueOverColumnToolStripMenuItem.Size = new System.Drawing.Size(223, 22);
+      this.replaceValueOverColumnToolStripMenuItem.Text = "Replace Value over Variable";
       // 
       // averageToolStripMenuItem_Column
@@ -169,5 +183,5 @@
             this.mostCommonToolStripMenuItem_Selection});
       this.replaceValueOverSelectionToolStripMenuItem.Name = "replaceValueOverSelectionToolStripMenuItem";
-      this.replaceValueOverSelectionToolStripMenuItem.Size = new System.Drawing.Size(224, 22);
+      this.replaceValueOverSelectionToolStripMenuItem.Size = new System.Drawing.Size(223, 22);
       this.replaceValueOverSelectionToolStripMenuItem.Text = "Replace Value over Selection";
       // 
@@ -202,5 +216,5 @@
       // btnSearch
       // 
-      this.btnSearch.Location = new System.Drawing.Point(173, 0);
+      this.btnSearch.Location = new System.Drawing.Point(167, 0);
       this.btnSearch.Name = "btnSearch";
       this.btnSearch.Size = new System.Drawing.Size(55, 23);
@@ -213,5 +227,5 @@
       // btnReplace
       // 
-      this.btnReplace.Location = new System.Drawing.Point(173, 26);
+      this.btnReplace.Location = new System.Drawing.Point(167, 26);
       this.btnReplace.Name = "btnReplace";
       this.btnReplace.Size = new System.Drawing.Size(55, 23);
@@ -222,11 +236,44 @@
       this.btnReplace.Click += new System.EventHandler(this.btnReplace_Click);
       // 
+      // checkInputsTargetButton
+      // 
+      this.checkInputsTargetButton.Image = global::HeuristicLab.DataPreprocessing.Views.PreprocessingIcons.Inputs;
+      this.checkInputsTargetButton.Location = new System.Drawing.Point(36, 19);
+      this.checkInputsTargetButton.Name = "checkInputsTargetButton";
+      this.checkInputsTargetButton.Size = new System.Drawing.Size(24, 24);
+      this.checkInputsTargetButton.TabIndex = 14;
+      this.toolTip.SetToolTip(this.checkInputsTargetButton, "Select Inputs & Target");
+      this.checkInputsTargetButton.UseVisualStyleBackColor = true;
+      this.checkInputsTargetButton.Click += new System.EventHandler(this.checkInputsTargetButton_Click);
+      // 
+      // uncheckAllButton
+      // 
+      this.uncheckAllButton.Image = global::HeuristicLab.DataPreprocessing.Views.PreprocessingIcons.None;
+      this.uncheckAllButton.Location = new System.Drawing.Point(66, 19);
+      this.uncheckAllButton.Name = "uncheckAllButton";
+      this.uncheckAllButton.Size = new System.Drawing.Size(24, 24);
+      this.uncheckAllButton.TabIndex = 12;
+      this.toolTip.SetToolTip(this.uncheckAllButton, "Select None");
+      this.uncheckAllButton.UseVisualStyleBackColor = true;
+      this.uncheckAllButton.Click += new System.EventHandler(this.uncheckAllButton_Click);
+      // 
+      // checkAllButton
+      // 
+      this.checkAllButton.Image = global::HeuristicLab.DataPreprocessing.Views.PreprocessingIcons.All;
+      this.checkAllButton.Location = new System.Drawing.Point(6, 19);
+      this.checkAllButton.Name = "checkAllButton";
+      this.checkAllButton.Size = new System.Drawing.Size(24, 24);
+      this.checkAllButton.TabIndex = 13;
+      this.toolTip.SetToolTip(this.checkAllButton, "Select All");
+      this.checkAllButton.UseVisualStyleBackColor = true;
+      this.checkAllButton.Click += new System.EventHandler(this.checkAllButton_Click);
+      // 
       // addRowButton
       // 
-      this.addRowButton.Location = new System.Drawing.Point(344, 26);
+      this.addRowButton.Location = new System.Drawing.Point(338, 26);
       this.addRowButton.Name = "addRowButton";
-      this.addRowButton.Size = new System.Drawing.Size(76, 23);
+      this.addRowButton.Size = new System.Drawing.Size(83, 23);
       this.addRowButton.TabIndex = 10;
-      this.addRowButton.Text = "Add Row";
+      this.addRowButton.Text = "Add Datarow";
       this.addRowButton.UseVisualStyleBackColor = true;
       this.addRowButton.Click += new System.EventHandler(this.addRowButton_Click);
@@ -234,9 +281,9 @@
       // addColumnButton
       // 
-      this.addColumnButton.Location = new System.Drawing.Point(344, 0);
+      this.addColumnButton.Location = new System.Drawing.Point(338, 0);
       this.addColumnButton.Name = "addColumnButton";
-      this.addColumnButton.Size = new System.Drawing.Size(76, 23);
+      this.addColumnButton.Size = new System.Drawing.Size(83, 23);
       this.addColumnButton.TabIndex = 10;
-      this.addColumnButton.Text = "Add Column";
+      this.addColumnButton.Text = "Add Variable";
       this.addColumnButton.UseVisualStyleBackColor = true;
       this.addColumnButton.Click += new System.EventHandler(this.addColumnButton_Click);
@@ -244,16 +291,29 @@
       // renameColumnsButton
       // 
-      this.renameColumnsButton.Location = new System.Drawing.Point(234, 26);
+      this.renameColumnsButton.Location = new System.Drawing.Point(228, 26);
       this.renameColumnsButton.Name = "renameColumnsButton";
       this.renameColumnsButton.Size = new System.Drawing.Size(104, 23);
       this.renameColumnsButton.TabIndex = 11;
-      this.renameColumnsButton.Text = "Rename Columns";
+      this.renameColumnsButton.Text = "Rename Variables";
       this.renameColumnsButton.UseVisualStyleBackColor = true;
       this.renameColumnsButton.Click += new System.EventHandler(this.renameColumnsButton_Click);
       // 
+      // showVariablesGroupBox
+      // 
+      this.showVariablesGroupBox.Controls.Add(this.checkInputsTargetButton);
+      this.showVariablesGroupBox.Controls.Add(this.uncheckAllButton);
+      this.showVariablesGroupBox.Controls.Add(this.checkAllButton);
+      this.showVariablesGroupBox.Location = new System.Drawing.Point(448, 0);
+      this.showVariablesGroupBox.Name = "showVariablesGroupBox";
+      this.showVariablesGroupBox.Size = new System.Drawing.Size(97, 49);
+      this.showVariablesGroupBox.TabIndex = 17;
+      this.showVariablesGroupBox.TabStop = false;
+      this.showVariablesGroupBox.Text = "Show Variables";
+      // 
       // DataGridContentView
       // 
       this.AutoScaleDimensions = new System.Drawing.SizeF(6F, 13F);
       this.AutoScaleMode = System.Windows.Forms.AutoScaleMode.Font;
+      this.Controls.Add(this.showVariablesGroupBox);
       this.Controls.Add(this.renameColumnsButton);
       this.Controls.Add(this.addColumnButton);
@@ -263,5 +323,4 @@
       this.Controls.Add(this.btnApplySort);
       this.Name = "DataGridContentView";
-      this.Size = new System.Drawing.Size(430, 403);
       this.Controls.SetChildIndex(this.btnApplySort, 0);
       this.Controls.SetChildIndex(this.btnSearch, 0);
@@ -275,6 +334,8 @@
       this.Controls.SetChildIndex(this.rowsTextBox, 0);
       this.Controls.SetChildIndex(this.columnsTextBox, 0);
+      this.Controls.SetChildIndex(this.showVariablesGroupBox, 0);
       ((System.ComponentModel.ISupportInitialize)(this.errorProvider)).EndInit();
       this.contextMenuCell.ResumeLayout(false);
+      this.showVariablesGroupBox.ResumeLayout(false);
       this.ResumeLayout(false);
       this.PerformLayout();
@@ -304,4 +365,8 @@
     private System.Windows.Forms.Button addColumnButton;
     private System.Windows.Forms.Button renameColumnsButton;
+    private System.Windows.Forms.GroupBox showVariablesGroupBox;
+    private System.Windows.Forms.Button checkInputsTargetButton;
+    private System.Windows.Forms.Button uncheckAllButton;
+    private System.Windows.Forms.Button checkAllButton;
   }
 }
Index: /stable/HeuristicLab.DataPreprocessing.Views/3.4/DataGridContentView.cs
===================================================================
--- /stable/HeuristicLab.DataPreprocessing.Views/3.4/DataGridContentView.cs	(revision 15241)
+++ /stable/HeuristicLab.DataPreprocessing.Views/3.4/DataGridContentView.cs	(revision 15242)
@@ -33,5 +33,4 @@
   [Content(typeof(DataGridContent), true)]
   public partial class DataGridContentView : StringConvertibleMatrixView {
-
     private bool isSearching = false;
     private bool updateOnMouseUp = false;
@@ -81,5 +80,4 @@
         base.Sort();
       }
-
     }
 
@@ -141,5 +139,4 @@
       }
     }
-
 
     protected override void PasteValuesToDataGridView() {
@@ -692,4 +689,25 @@
       }
     }
+
+    private void checkInputsTargetButton_Click(object sender, EventArgs e) {
+      foreach (DataGridViewColumn column in DataGridView.Columns) {
+        var variable = column.HeaderText;
+        bool isInputTarget = Content.PreProcessingData.InputVariables.Contains(variable)
+          || Content.PreProcessingData.TargetVariable == variable;
+        column.Visible = isInputTarget;
+      }
+    }
+
+    private void checkAllButton_Click(object sender, EventArgs e) {
+      foreach (DataGridViewColumn column in DataGridView.Columns) {
+        column.Visible = true;
+      }
+    }
+
+    private void uncheckAllButton_Click(object sender, EventArgs e) {
+      foreach (DataGridViewColumn column in DataGridView.Columns) {
+        column.Visible = false;
+      }
+    }
   }
 }
Index: /stable/HeuristicLab.DataPreprocessing.Views/3.4/DataPreprocessingView.cs
===================================================================
--- /stable/HeuristicLab.DataPreprocessing.Views/3.4/DataPreprocessingView.cs	(revision 15241)
+++ /stable/HeuristicLab.DataPreprocessing.Views/3.4/DataPreprocessingView.cs	(revision 15242)
@@ -36,12 +36,11 @@
   [Content(typeof(PreprocessingContext), true)]
   public partial class DataPreprocessingView : NamedItemView {
-
-    public DataPreprocessingView() {
-      InitializeComponent();
-    }
-
     public new PreprocessingContext Content {
       get { return (PreprocessingContext)base.Content; }
       set { base.Content = value; }
+    }
+
+    public DataPreprocessingView() {
+      InitializeComponent();
     }
 
@@ -57,9 +56,10 @@
         var viewShortcuts = new ItemList<IViewShortcut> {
           new DataGridContent(data, manipulationLogic, filterLogic),
-          new StatisticsContent(statisticsLogic),
+          new StatisticsContent(data, statisticsLogic),
 
           new LineChartContent(data),
           new HistogramContent(data),
-          new ScatterPlotContent(data),
+          new SingleScatterPlotContent(data),
+          new MultiScatterPlotContent(data),
           new CorrelationMatrixContent(Content),
           new DataCompletenessChartContent(searchLogic),
@@ -125,11 +125,22 @@
     }
     private void newRegressionToolStripMenuItem_Click(object sender, EventArgs e) {
-      Content.Import(new RegressionProblemData());
+      if (CheckNew("Regression"))
+        Content.Import(new RegressionProblemData());
     }
     private void newClassificationToolStripMenuItem_Click(object sender, EventArgs e) {
-      Content.Import(new ClassificationProblemData());
+      if (CheckNew("Classification"))
+        Content.Import(new ClassificationProblemData());
     }
     private void newTimeSeriesToolStripMenuItem_Click(object sender, EventArgs e) {
-      Content.Import(new TimeSeriesPrognosisProblemData());
+      if (CheckNew("Time Series Prognosis"))
+        Content.Import(new TimeSeriesPrognosisProblemData());
+    }
+
+    private bool CheckNew(string type) {
+      return DialogResult.OK == MessageBox.Show(
+               this,
+               string.Format("When creating a new {0}, all previous information will be lost.", type),
+               "Continue?",
+               MessageBoxButtons.OKCancel, MessageBoxIcon.Warning);
     }
     #endregion
Index: /stable/HeuristicLab.DataPreprocessing.Views/3.4/FilterView.Designer.cs
===================================================================
--- /stable/HeuristicLab.DataPreprocessing.Views/3.4/FilterView.Designer.cs	(revision 15241)
+++ /stable/HeuristicLab.DataPreprocessing.Views/3.4/FilterView.Designer.cs	(revision 15242)
@@ -62,12 +62,14 @@
       this.label2 = new System.Windows.Forms.Label();
       this.label3 = new System.Windows.Forms.Label();
+      this.bottomPanel = new System.Windows.Forms.Panel();
       this.groupBoxFilter.SuspendLayout();
       this.groupBoxFilterInfo.SuspendLayout();
       this.groupBox1.SuspendLayout();
+      this.bottomPanel.SuspendLayout();
       this.SuspendLayout();
       // 
       // groupBoxFilter
       // 
-      this.groupBoxFilter.Anchor = ((System.Windows.Forms.AnchorStyles)(((System.Windows.Forms.AnchorStyles.Top | System.Windows.Forms.AnchorStyles.Left)
+      this.groupBoxFilter.Anchor = ((System.Windows.Forms.AnchorStyles)(((System.Windows.Forms.AnchorStyles.Top | System.Windows.Forms.AnchorStyles.Left) 
             | System.Windows.Forms.AnchorStyles.Right)));
       this.groupBoxFilter.Controls.Add(this.checkedFilterView);
@@ -93,5 +95,5 @@
       // groupBoxFilterInfo
       // 
-      this.groupBoxFilterInfo.Anchor = ((System.Windows.Forms.AnchorStyles)(((System.Windows.Forms.AnchorStyles.Top | System.Windows.Forms.AnchorStyles.Left)
+      this.groupBoxFilterInfo.Anchor = ((System.Windows.Forms.AnchorStyles)(((System.Windows.Forms.AnchorStyles.Top | System.Windows.Forms.AnchorStyles.Left) 
             | System.Windows.Forms.AnchorStyles.Right)));
       this.groupBoxFilterInfo.Controls.Add(this.lblPercentage);
@@ -103,5 +105,5 @@
       this.groupBoxFilterInfo.Location = new System.Drawing.Point(4, 337);
       this.groupBoxFilterInfo.Name = "groupBoxFilterInfo";
-      this.groupBoxFilterInfo.Size = new System.Drawing.Size(659, 102);
+      this.groupBoxFilterInfo.Size = new System.Drawing.Size(658, 102);
       this.groupBoxFilterInfo.TabIndex = 1;
       this.groupBoxFilterInfo.TabStop = false;
@@ -119,23 +121,23 @@
       // tbPercentage
       // 
-      this.tbPercentage.Anchor = ((System.Windows.Forms.AnchorStyles)(((System.Windows.Forms.AnchorStyles.Top | System.Windows.Forms.AnchorStyles.Left)
+      this.tbPercentage.Anchor = ((System.Windows.Forms.AnchorStyles)(((System.Windows.Forms.AnchorStyles.Top | System.Windows.Forms.AnchorStyles.Left) 
             | System.Windows.Forms.AnchorStyles.Right)));
       this.tbPercentage.Enabled = false;
       this.tbPercentage.Location = new System.Drawing.Point(104, 71);
       this.tbPercentage.Name = "tbPercentage";
-      this.tbPercentage.Size = new System.Drawing.Size(549, 20);
+      this.tbPercentage.Size = new System.Drawing.Size(548, 20);
       this.tbPercentage.TabIndex = 10;
       // 
-      // tbFiltered
-      // 
-      this.tbRemaining.Anchor = ((System.Windows.Forms.AnchorStyles)(((System.Windows.Forms.AnchorStyles.Top | System.Windows.Forms.AnchorStyles.Left)
+      // tbRemaining
+      // 
+      this.tbRemaining.Anchor = ((System.Windows.Forms.AnchorStyles)(((System.Windows.Forms.AnchorStyles.Top | System.Windows.Forms.AnchorStyles.Left) 
             | System.Windows.Forms.AnchorStyles.Right)));
       this.tbRemaining.Enabled = false;
       this.tbRemaining.Location = new System.Drawing.Point(104, 45);
       this.tbRemaining.Name = "tbRemaining";
-      this.tbRemaining.Size = new System.Drawing.Size(549, 20);
+      this.tbRemaining.Size = new System.Drawing.Size(548, 20);
       this.tbRemaining.TabIndex = 9;
       // 
-      // lblFiltered
+      // lblRemaining
       // 
       this.lblRemaining.AutoSize = true;
@@ -148,10 +150,10 @@
       // tbTotal
       // 
-      this.tbTotal.Anchor = ((System.Windows.Forms.AnchorStyles)(((System.Windows.Forms.AnchorStyles.Top | System.Windows.Forms.AnchorStyles.Left)
+      this.tbTotal.Anchor = ((System.Windows.Forms.AnchorStyles)(((System.Windows.Forms.AnchorStyles.Top | System.Windows.Forms.AnchorStyles.Left) 
             | System.Windows.Forms.AnchorStyles.Right)));
       this.tbTotal.Enabled = false;
       this.tbTotal.Location = new System.Drawing.Point(104, 19);
       this.tbTotal.Name = "tbTotal";
-      this.tbTotal.Size = new System.Drawing.Size(549, 20);
+      this.tbTotal.Size = new System.Drawing.Size(548, 20);
       this.tbTotal.TabIndex = 7;
       // 
@@ -167,8 +169,8 @@
       // applyFilterButton
       // 
-      this.applyFilterButton.Anchor = ((System.Windows.Forms.AnchorStyles)((System.Windows.Forms.AnchorStyles.Bottom | System.Windows.Forms.AnchorStyles.Right)));
+      this.applyFilterButton.Anchor = System.Windows.Forms.AnchorStyles.Right;
       this.applyFilterButton.Cursor = System.Windows.Forms.Cursors.Default;
       this.applyFilterButton.Enabled = false;
-      this.applyFilterButton.Location = new System.Drawing.Point(554, 628);
+      this.applyFilterButton.Location = new System.Drawing.Point(559, 3);
       this.applyFilterButton.Name = "applyFilterButton";
       this.applyFilterButton.Size = new System.Drawing.Size(107, 23);
@@ -180,9 +182,9 @@
       // rBtnOr
       // 
-      this.rBtnOr.Anchor = ((System.Windows.Forms.AnchorStyles)((System.Windows.Forms.AnchorStyles.Bottom | System.Windows.Forms.AnchorStyles.Left)));
+      this.rBtnOr.Anchor = System.Windows.Forms.AnchorStyles.Left;
       this.rBtnOr.AutoSize = true;
       this.rBtnOr.Cursor = System.Windows.Forms.Cursors.Default;
       this.rBtnOr.Enabled = false;
-      this.rBtnOr.Location = new System.Drawing.Point(60, 634);
+      this.rBtnOr.Location = new System.Drawing.Point(53, 6);
       this.rBtnOr.Name = "rBtnOr";
       this.rBtnOr.Size = new System.Drawing.Size(36, 17);
@@ -193,10 +195,10 @@
       // rBtnAnd
       // 
-      this.rBtnAnd.Anchor = ((System.Windows.Forms.AnchorStyles)((System.Windows.Forms.AnchorStyles.Bottom | System.Windows.Forms.AnchorStyles.Left)));
+      this.rBtnAnd.Anchor = System.Windows.Forms.AnchorStyles.Left;
       this.rBtnAnd.AutoSize = true;
       this.rBtnAnd.Checked = true;
       this.rBtnAnd.Cursor = System.Windows.Forms.Cursors.Default;
       this.rBtnAnd.Enabled = false;
-      this.rBtnAnd.Location = new System.Drawing.Point(10, 634);
+      this.rBtnAnd.Location = new System.Drawing.Point(3, 6);
       this.rBtnAnd.Name = "rBtnAnd";
       this.rBtnAnd.Size = new System.Drawing.Size(44, 17);
@@ -209,5 +211,5 @@
       // groupBox1
       // 
-      this.groupBox1.Anchor = ((System.Windows.Forms.AnchorStyles)(((System.Windows.Forms.AnchorStyles.Top | System.Windows.Forms.AnchorStyles.Left)
+      this.groupBox1.Anchor = ((System.Windows.Forms.AnchorStyles)(((System.Windows.Forms.AnchorStyles.Top | System.Windows.Forms.AnchorStyles.Left) 
             | System.Windows.Forms.AnchorStyles.Right)));
       this.groupBox1.Controls.Add(this.label4);
@@ -215,7 +217,7 @@
       this.groupBox1.Controls.Add(this.label2);
       this.groupBox1.Controls.Add(this.label3);
-      this.groupBox1.Location = new System.Drawing.Point(7, 445);
+      this.groupBox1.Location = new System.Drawing.Point(4, 445);
       this.groupBox1.Name = "groupBox1";
-      this.groupBox1.Size = new System.Drawing.Size(659, 130);
+      this.groupBox1.Size = new System.Drawing.Size(658, 130);
       this.groupBox1.TabIndex = 12;
       this.groupBox1.TabStop = false;
@@ -261,16 +263,25 @@
       this.label3.Text = "A filter specifies the data rows which should remain.";
       // 
+      // bottomPanel
+      // 
+      this.bottomPanel.Controls.Add(this.applyFilterButton);
+      this.bottomPanel.Controls.Add(this.rBtnAnd);
+      this.bottomPanel.Controls.Add(this.rBtnOr);
+      this.bottomPanel.Dock = System.Windows.Forms.DockStyle.Bottom;
+      this.bottomPanel.Location = new System.Drawing.Point(0, 580);
+      this.bottomPanel.Name = "bottomPanel";
+      this.bottomPanel.Size = new System.Drawing.Size(670, 30);
+      this.bottomPanel.TabIndex = 13;
+      // 
       // FilterView
       // 
       this.AutoScaleDimensions = new System.Drawing.SizeF(6F, 13F);
       this.AutoScaleMode = System.Windows.Forms.AutoScaleMode.Font;
+      this.Controls.Add(this.bottomPanel);
       this.Controls.Add(this.groupBox1);
-      this.Controls.Add(this.rBtnAnd);
-      this.Controls.Add(this.rBtnOr);
-      this.Controls.Add(this.applyFilterButton);
       this.Controls.Add(this.groupBoxFilterInfo);
       this.Controls.Add(this.groupBoxFilter);
       this.Name = "FilterView";
-      this.Size = new System.Drawing.Size(670, 660);
+      this.Size = new System.Drawing.Size(670, 610);
       this.groupBoxFilter.ResumeLayout(false);
       this.groupBoxFilterInfo.ResumeLayout(false);
@@ -278,6 +289,7 @@
       this.groupBox1.ResumeLayout(false);
       this.groupBox1.PerformLayout();
+      this.bottomPanel.ResumeLayout(false);
+      this.bottomPanel.PerformLayout();
       this.ResumeLayout(false);
-      this.PerformLayout();
 
     }
@@ -302,6 +314,5 @@
     private System.Windows.Forms.Label label2;
     private System.Windows.Forms.Label label3;
-
-
+    private System.Windows.Forms.Panel bottomPanel;
   }
 }
